# Generated from lusi_alma_course_loader-0.2.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name lusi_alma_course_loader

Name: rubygem-%{gem_name}
Version: 0.2.4
Release: 1%{?dist}
Summary: Generates Alma course loader files from LUSI
License: MIT
URL: https://github.com/lulibrary/lusi_alma_course_loader
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(dotenv) >= 2.2
# BuildRequires: rubygem(dotenv) < 3
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-hooks) >= 1.4
# BuildRequires: rubygem(minitest-hooks) < 2
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(rubocop) >= 0.49
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
This gem provides a script to generate Alma course loader files from Lancaster
University's LUSI student records system.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/course_loader
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/lusi_alma_course_loader.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.2.4-1
- Initial package
